#!/bin/sh

# script permettant de convertir les donnees lidar .zip en .gz

# premier argument : dossier a traiter

# test argument
if [ -n "$1" ]
then
	cd "$1" # on entre dans le dossier
	pwd # affichage du dossier courant
fi

# si pas d'argument, on reste dans le dossier courant

# on met tout dans un sous dossier "gz"
SUBDIR="gz"

mkdir -pv "$SUBDIR"

# parcours de tous les .zip du dossier
for I in $(ls *.zip)
do
	FILE=$(echo "$I" | sed "s/.zip/.xyz/") # conversion nom : xxx.zip -> xxx.xyz
	GZ_FILE="$SUBDIR"/"$FILE".gz # nom fichier gz
	echo "$I" "->" "$GZ_FILE" # affichage action en cours
	unzip -p "$I" | gzip > "$GZ_FILE" # gzip
done

